Menu Home

关于nginx 配置关于tls1.2的开启问题

首先贴出以前nginx编译的配置

--prefix=/etc/nginx --sbin-path=/usr/sbin/nginx --conf-path=/etc/nginx/nginx.conf --error-log-path=/var/log/nginx/error.log --http-log-path=/var/log/nginx/access.log --pid-path=/var/run/nginx.pid --lock-path=/var/run/nginx.lock --http-client-body-temp-path=/var/cache/nginx/client_temp --http-proxy-temp-path=/var/cache/nginx/proxy_temp --http-fastcgi-temp-path=/var/cache/nginx/fastcgi_temp --http-uwsgi-temp-path=/var/cache/nginx/uwsgi_temp --http-scgi-temp-path=/var/cache/nginx/scgi_temp --user=nginx --group=nginx --with-http_ssl_module --with-openssl=/root/openssl-1.0.2j --with-http_v2_module --with-pcre=/root/pcre-8.39  --with-http_realip_module --with-http_addition_module --with-http_sub_module --with-http_dav_module --with-http_flv_module --with-http_mp4_module --with-http_gunzip_module --with-http_gzip_static_module --with-http_random_index_module --with-http_secure_link_module --with-http_stub_status_module --with-http_auth_request_module --with-mail --with-mail_ssl_module --with-file-aio --with-cc-opt='-g -O2 -Wp,-D_FORTIFY_SOURCE=2' --with-ld-opt=-Wl,--as-needed --with-ipv6

上述的配置看不出来什么毛病,但是他编译后会造成我的tls 最高只支持到tls 1.0的版本
最后使用下面的的配置,就正常了

--user=nginx --group=nginx --sbin-path=/usr/sbin/nginx  --prefix=/usr/local/nginx --with-http_stub_status_module --with-http_ssl_module --with-openssl=/root/openssl-1.0.2j  --with-http_v2_module --with-http_gzip_static_module --with-ipv6 --with-http_sub_module --with-pcre=/root/pcre-8.39

结果

原因不详

Categories: code

Tagged as:

knowthis

发表评论

电子邮件地址不会被公开。 必填项已用*标注